imwcs(1)

Name
imwcs - Set WCS in FITS and IRAF image files

Synopsis
imwcs [options] FITS or IRAF filename

Description
imwcs (pronounced im-W-C-S) is a utility for setting the world coordinate system (WCS) of a FITS or IRAF image. The WCS is the relationship between sky coordinates and image pixels and can be described in a standard way in the header of an image. The program was originally written at the University of Iowa, but has been adapted and amplified by Jessica Mink at the Smithsonian Astrophysical Observatory. imwcs currently works only on images where the rotation about the center is known to within a few degrees It has been tested extensively only on images with near-zero rotation. A plane-tangent projection (center right ascension and declination, plate scale, and rotation angle) is fit based on matches between stars in the image and stars in a reference catalog. The HST Guide Star Catalog, the USNO A 1.0, SA 1.0, or UJ Catalog, or a user-supplied, tab-delimited Starbase catalog may be used.

Options

-a <angle>
    Initial rotation angle in degrees (default 0)

-b <RA> <Dec>
    Initial center in B1950 (FK4) RA and Dec (default=RA,DEC from file)

-c <catalog name>
    Reference catalog (gsc(=HST GSC), ua2(=USNO-A2.0), TMC(=2MASS Point Source Catalog), gsc2(=GSC II), ub1(=USNO-B1.0), local file, etc.)

-d <catalog name>
    Use this DAOFIND output catalog of X, Y, and magnitude instead of searching for stars in the image. The format is simply white-space-separated X, Y, and magnitue on a line, with # at the beginning of comment lines.

-e  Erase image WCS keywords, getting initial WCS from command line

-f  Write FITS output no matter what input

-g <class>
    Guide Star Catalog class (-1=all,0,3) (default -1)

-h <number>
    Change the maximum number of reference stars to match from 25 to

-i <counts>
    Minimum peak value for star in image. If negative, use -<counts> standard deviations as minimum.

-j <RA> <Dec>
    Initial center in J2000 (FK5) RA and Dec (default=RA,DEC from file)

-k <magnum>
    Use this magnitude to sort brightest catalog stars.

-l  Reflect left<->right before rotating and fitting

-m [<bright magnitude>] <faint magnitude>
    Limiting catalog magnitude(s) (default none, bright -2 if only faint is given)

-n <number>
    Number of parameters to fit (1-8, or digit string). The default is 2 (RA+Dec) if <3 stars are matched, 3 (RA+Dec+scale) if <5 stars are matched, or 4 (RA+Dec+scale+rot) if 5 or more stars are matched. Alternatively this may be a list of all of the parameters to fit, in the form nnnnnn.., where 1=RA, 2=Dec, 3=RA scale, 4=Dec scale, 5=rotation angle, 6=Y axis rotation (CD matrix), 7=RA reference pixel, and 8=Dec reference pixel.

-o <filename>
    Write output to this file; may be the same as input file. This option automatically sets the -w option to write the file.

-p <scale>
    Initial plate scale in arcsec per pixel (default 0)

-q <option list>
    <i>terate, <r>ecenter, <s>igma clip, <p>olynomial, <t>olerance reduce (half for each iteration). A number following an option repeats the option that many times.

-r <angle>
    Rotation angle in degrees before fitting (0, 90, 180, 270) (default 0)

-s <frac>
    Use this fraction extra stars (default 1.0)

-t <num>
    Offset tolerance in pixels (default 20)

-u <file>
    File of X Y RA Dec assignments for initial WCS

-v  Verbose listing of processing intermediate results

-w  Write WCS to a new file (default is read-only) -x X and Y coordinates of reference pixel (default is image center) -y multiply image dimensions by this for search (default is 1) -z Use AIPS classic projections instead of WCSLIB; use CD matrix or CDELT instead of polynomial solution.

Web Page
http://tdc-www.harvard.edu/software/wcstools/imwcs/

Author
Jessica Mink, SAO (jmink@cfa.harvard.edu)